#
# spec file for package scim-bridge (Version 0.4.13)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs dbus-1 dbus-1-devel diffutils docbook-xsl-stylesheets docbook_4 doxygen file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libqt4 libqt4-dbus-1 libqt4-devel libqt4-qt3support libqt4-sql libqt4-x11 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch perl perl-base permissions pkg-config popt qt3 qt3-devel rpm scim scim-devel sed sgml-skel sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           scim-bridge
BuildRequires:  docbook-xsl-stylesheets doxygen gtk2-devel libqt4-devel qt3-devel scim-devel
Summary:        Scim Bridge
Version:        0.4.13
Release:        25.2
License:        LGPL v2 or later
Group:          System/I18n/Japanese
AutoReqProv:    on
PreReq:         /usr/bin/touch
Provides:       locale(scim:ja;ko;zh)
%if %suse_version > 1000
Recommends:     scim-bridge-gtk,scim-bridge-qt
%endif
Url:            http://www.scim-im.org/
# CVS repository:
# cvs -d:pserver:anonymous@scim.cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@scim.cvs.sourceforge.net:/cvsroot/scim co scim-bridge
Source0:        scim-bridge-%{version}.tar.bz2
Source10:       etc-x11-xim.d-scim-bridge
Patch0:         fix_missing_function.patch
Patch1:         fix_beta_build.patch
Patch2:         bug-331614-kde-launch-x11-frontend.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define gtk_prefix %(pkg-config --variable=prefix gtk+-2.0)

%description
Scim Bridge



Authors:
--------
    Ryo Dairiki <ryo-dairiki@users.sourceforge.net>

%debug_package
%package -n scim-bridge-gtk
Summary:        Scim Bridge for gtk2
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
Provides:       locale(gtk2:ja;ko;zh)

%description -n scim-bridge-gtk
Scim Bridge for gtk2



Authors:
--------
    Ryo Dairiki <ryo-dairiki@users.sourceforge.net>

%package -n scim-bridge-qt
Summary:        Scim Bridge for Qt
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
Provides:       locale(qt3:ja;ko;zh)

%description -n scim-bridge-qt
Scim Bridge for Qt



Authors:
--------
    Ryo Dairiki <ryo-dairiki@users.sourceforge.net>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
find . -type f | xargs chmod u+w
find . -name CVS -type d | xargs rm -r
find . -name .cvsignore -type f | xargs rm -f
chmod 644 doc/icon/kasasagi.png

%build
#libtoolize --force
#autoreconf --force --install --verbose
./bootstrap
export CFLAGS="$RPM_OPT_FLAGS"
%configure --disable-qt4-immodule
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{gtk_prefix}/%{_lib}/gtk-2.0/immodules/im-scim-bridge.*a
pushd $RPM_BUILD_ROOT/usr/lib/qt3/plugins/inputmethods/
    if [ %_lib = lib64 ]; then
	mv im-scim-bridge.so im-scim-bridge.lib64.so
	mv im-scim-bridge.la im-scim-bridge.lib64.la
    else
    	:
    fi
popd
rm -f $RPM_BUILD_ROOT/usr/lib/qt3/plugins/inputmethods/im-scim-bridge.*a
mkdir -p $RPM_BUILD_ROOT/etc/X11/xim.d/
install -m 644 $RPM_SOURCE_DIR/etc-x11-xim.d-scim-bridge \
               $RPM_BUILD_ROOT/etc/X11/xim.d/scim-bridge
# install symlinks in /etc/X11/xim.d/$lang for all languages
# where scim-bridge might be useful:
PRIORITY=49
pushd $RPM_BUILD_ROOT/etc/X11/xim.d/
    for lang in am ar as bn el fa gu he hi hr ja ka kk kn ko lo ml my \
		pa ru sk vi zh_TW zh_CN zh_HK zh_SG \
		de fr it es nl cs pl da nn nb fi en sv
    do
        mkdir $lang
	pushd $lang
            ln -s ../scim-bridge $PRIORITY-scim-bridge
	popd
    done
popd

%post 
# trigger run of SuSEconfig.gtk2 to register/unregister this input module
# by calling gtk-query-immodules-2.0:
touch var/adm/SuSEconfig/run-gtk

%postun 
# trigger run of SuSEconfig.gtk2 to register/unregister this input module
# by calling gtk-query-immodules-2.0:
touch var/adm/SuSEconfig/run-gtk

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog INSTALL doc
%dir /etc/X11/xim.d/
/etc/X11/xim.d/*
/usr/bin/scim-bridge

%files -n scim-bridge-gtk
%defattr(-, root, root)
%{gtk_prefix}/%{_lib}/gtk-2.0/immodules/im-scim-bridge.so

%files -n scim-bridge-qt
%defattr(-, root, root)
%dir /usr/lib/qt3/
%dir /usr/lib/qt3/plugins/
%dir /usr/lib/qt3/plugins/inputmethods/
/usr/lib/qt3/plugins/inputmethods/im-scim-bridge*.so
%changelog
* Thu Oct 18 2007 - mfabian@suse.de
- Bugzilla #331614, comment #13: don’t forget to start x11
  frontend of scim.
* Mon Oct 15 2007 - mfabian@suse.de
- Bugzilla #331614: fix conflict between scim-bridge-qt and
  scim-bridge-qt-32bit packages.
* Thu Oct 11 2007 - pwu@suse.de
- fix missing header for dist beta build
* Fri Aug 10 2007 - pwu@suse.de
- fix missing function scim_bridge_client_imcontext_imengine_status_changed
* Fri Aug 03 2007 - mfabian@suse.de
- update to 0.4.13:
  • enable key snooper by default to prevent that key events
  are stolen by wicked applications.
  • Add basic support for Qt4 (disabled for the moment)
  • Disable the fallback imengine while those of SCIM are enabled.
* Mon Apr 23 2007 - mfabian@suse.de
- update to 0.4.12.
  • Fix a bug concerning keyboard layouts.
  (Redhat bugzilla: #211266)
* Mon Apr 23 2007 - mfabian@suse.de
- use "Recommends: scim-bridge-gtk,scim-bridge-qt" only for
  SUSE Linux > 10.0 (doesn't build for 10.0 otherwise in the
  openSUSE build service).
* Wed Apr 18 2007 - mfabian@suse.de
- fix typo in start script.
* Mon Apr 16 2007 - mfabian@suse.de
- new package: scim-bridge version 0.4.10.
